> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Loyalty Tier Rewards

> Get available rewards for a given tier.



## OpenAPI

````yaml /openapi/loyalties.json get /v1/loyalties/{campaignId}/tiers/{loyaltyTierId}/rewards
openapi: 3.0.1
info:
  title: Voucherify API - Loyalties
  version: v2018-08-01
  description: >-
    Voucherify promotion engine REST API. Please see
    https://docs.voucherify.io/docs for more details.
  contact:
    name: Voucherify Team
    url: https://www.voucherify.io/contact-support
    email: support@voucherify.io
  termsOfService: https://www.voucherify.io/legal/subscription-agreement
  license:
    name: MIT
    url: https://github.com/voucherifyio/voucherify-js-sdk/blob/main/LICENSE
servers:
  - url: https://{cluster}.voucherify.io
    description: Base URL
    variables:
      cluster:
        default: api
        enum:
          - api
          - us1.api
          - as1.api
          - download
          - us1.download
          - as1.download
security: []
paths:
  /v1/loyalties/{campaignId}/tiers/{loyaltyTierId}/rewards:
    parameters:
      - schema:
          $ref: '#/components/schemas/ParameterCampaignId'
        name: campaignId
        in: path
        required: true
        description: Unique campaign ID or name.
      - schema:
          $ref: '#/components/schemas/ParameterLoyaltyTierId'
        name: loyaltyTierId
        in: path
        required: true
        description: Unique loyalty tier ID.
    get:
      tags:
        - Loyalties
      summary: List Loyalty Tier Rewards
      description: Get available rewards for a given tier.
      operationId: list-loyalty-tier-rewards
      parameters: []
      responses:
        '200':
          description: Returns a dictionary of loyalty tier reward objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoyaltiesTiersRewardsListResponseBody'
              examples:
                Example:
                  value:
                    object: list
                    data_ref: data
                    data:
                      - reward:
                          id: rew_QuWYsBNB2G3fikffjnl0G3gH
                          name: API - Testing
                          type: CAMPAIGN
                          parameters:
                            campaign:
                              id: camp_jcErmtGAOmHUAy0oUgkwKnPZ
                              balance: 500
                              type: LOYALTY_PROGRAM
                          stock: null
                          redeemed: null
                          created_at: '2022-08-25T09:32:04.579424+00:00'
                          updated_at: '2022-08-25T09:33:46.680639+00:00'
                          metadata:
                            Type: Second campaign
                          object: reward
                        assignment:
                          id: rewa_3Z2sP0bmqcL0ggU28GvFeHU3
                          reward_id: rew_QuWYsBNB2G3fikffjnl0G3gH
                          related_object_id: camp_fkZ28pe7DUAEmmabofkxHI8N
                          related_object_type: campaign
                          parameters:
                            loyalty:
                              points: 40
                          created_at: '2022-11-23T22:11:58.759092+00:00'
                          updated_at: null
                          object: reward_assignment
                        object: loyalty_tier_reward
                      - reward:
                          id: rew_XoDgmQ2HZX7qPM6aIEuslObo
                          name: Material
                          type: MATERIAL
                          parameters:
                            product:
                              id: prod_0b15f6b9f650c16990
                              sku_id: sku_0b1621b319d248b79f
                          stock: 2
                          redeemed: 1
                          attributes:
                            image_url: '{{internalVoucherifyURL}}'
                            description: Archie's Series
                          created_at: '2022-08-29T06:02:36.753873+00:00'
                          updated_at: '2022-11-08T08:01:26.883166+00:00'
                          metadata:
                            Type: Material
                          object: reward
                        assignment:
                          id: rewa_Or6gWZ5ASuGkBLjOf0IyiD4k
                          reward_id: rew_XoDgmQ2HZX7qPM6aIEuslObo
                          related_object_id: camp_fkZ28pe7DUAEmmabofkxHI8N
                          related_object_type: campaign
                          parameters:
                            loyalty:
                              points: 30
                          created_at: '2022-11-23T22:11:58.759092+00:00'
                          updated_at: null
                          object: reward_assignment
                        object: loyalty_tier_reward
                      - reward:
                          id: rew_MVXA2kV7lZ1zC057WUaTrvNz
                          name: 100 Points = $20
                          type: COIN
                          parameters:
                            coin:
                              exchange_ratio: 20
                              points_ratio: 100
                          stock: null
                          redeemed: null
                          attributes: {}
                          created_at: '2022-09-09T06:41:54.496035+00:00'
                          updated_at: null
                          metadata: {}
                          object: reward
                        assignment:
                          id: rewa_nMXB59qGTNYawMT8eP8M4oUp
                          reward_id: rew_MVXA2kV7lZ1zC057WUaTrvNz
                          related_object_id: camp_fkZ28pe7DUAEmmabofkxHI8N
                          related_object_type: campaign
                          created_at: '2022-11-09T11:01:21.065681+00:00'
                          updated_at: null
                          object: reward_assignment
                        object: loyalty_tier_reward
                    total: 3
      security:
        - X-App-Id: []
          X-App-Token: []
        - X-Voucherify-OAuth:
            - api
            - loyalties
components:
  schemas:
    ParameterCampaignId:
      type: string
      example: camp_rRsfatlwN7unSeUIJDCYedal
    ParameterLoyaltyTierId:
      type: string
      example: promo_2EnAik6Jt7dKTOMkRTIgEjZH
    LoyaltiesTiersRewardsListResponseBody:
      title: Loyalties Tiers Rewards List Response Body
      type: object
      description: >-
        Response body schema for **GET**
        `v1/loyalties/{campaignId}/tiers/{loyaltyTierId}/rewards`.
      properties:
        object:
          type: string
          default: list
          description: >-
            The type of the object represented by JSON. This object stores
            information about loyalty tier rewards in a dictionary.
        data_ref:
          type: string
          default: data
          description: >-
            Identifies the name of the attribute that contains the array of
            loyalty tier reward objects.
        data:
          type: array
          description: Contains array of loyalty tier reward objects.
          items:
            $ref: '#/components/schemas/LoyaltiesLoyaltyTierReward'
        total:
          type: integer
          description: Total number of loyalty tier reward objects.
      required:
        - object
        - data_ref
        - data
        - total
    LoyaltiesLoyaltyTierReward:
      title: Loyalty Tier Reward Object
      type: object
      description: This is an object representing a loyalty tier reward.
      properties:
        reward:
          $ref: '#/components/schemas/Reward'
        assignment:
          $ref: '#/components/schemas/RewardAssignment'
        object:
          description: >-
            The type of the object represented by JSON. This object stores
            information about the loyalty tier reward.
          default: loyalty_tier_reward
          enum:
            - loyalty_tier_reward
      required:
        - reward
        - assignment
        - object
    Reward:
      type: object
      title: Reward
      properties:
        id:
          type: string
          example: rew_nIy4gHpQHle2c3pNMwuj7G6j
          description: Unique reward ID, assigned by Voucherify.
        name:
          type: string
          description: Reward name.
        stock:
          type: integer
          nullable: true
          description: >-
            Configurable for **material rewards**. The number of units of the
            product that you want to share as a reward. Use this parameter to
            code a stock-taking logic.
        redeemed:
          type: integer
          nullable: true
          description: "Defines the number of already invoked (successful) reward redemptions.\t"
        attributes:
          type: object
          description: These properties are configurable for **material rewards**.
          properties:
            image_url:
              type: string
              description: The HTTPS URL pointing to the .png or .jpg file.
            description:
              type: string
              description: An arbitrary string that you can attach to a material reward.
        metadata:
          type: object
          description: >-
            The metadata object stores all custom attributes assigned to the
            reward. A set of key/value pairs that you can attach to a reward
            object. It can be useful for storing additional information about
            the reward in a structured format.
        type:
          type: string
          enum:
            - CAMPAIGN
            - COIN
            - MATERIAL
          description: Reward type.
        parameters:
          description: Defines how the reward is generated.
          allOf:
            - $ref: '#/components/schemas/RewardType'
        created_at:
          type: string
          description: >-
            Timestamp representing the date and time when the reward was
            created. The value is shown in the ISO 8601 format.
          example: '2022-08-11T14:49:22.586Z'
          format: date-time
        updated_at:
          type: string
          nullable: true
          description: >-
            Timestamp representing the date and time when the reward was
            updated. The value is shown in the ISO 8601 format.
          example: '2022-08-11T16:01:34.885Z'
          format: date-time
        object:
          description: >-
            The type of the object represented by the JSON. This object stores
            information about the reward.
          default: reward
          enum:
            - reward
      required:
        - id
        - name
        - type
        - stock
        - redeemed
        - metadata
        - created_at
        - updated_at
        - object
    RewardAssignment:
      title: Reward Assignment
      allOf:
        - $ref: '#/components/schemas/RewardAssignmentBase'
        - $ref: '#/components/schemas/RewardAssignmentParameters'
      type: object
    RewardType:
      title: Reward type
      oneOf:
        - $ref: '#/components/schemas/RewardTypeCampaign'
        - $ref: '#/components/schemas/RewardTypeCoin'
        - $ref: '#/components/schemas/RewardTypeMaterial'
    RewardAssignmentBase:
      title: Reward Assignment Base
      type: object
      properties:
        id:
          type: string
          example: rewa_PbIRoMXpwe5QhobW4JKu0VjH
          description: Unique reward assignment ID, assigned by Voucherify.
        reward_id:
          type: string
          description: Associated reward ID.
          example: rew_C7wS9eHFDN4CIbXI5PpLSkGY
        created_at:
          type: string
          description: >-
            Timestamp representing the date and time when the reward assignment
            was created. The value is shown in the ISO 8601 format.
          example: '2022-08-11T14:49:22.586Z'
          format: date-time
        updated_at:
          type: string
          nullable: true
          description: >-
            Timestamp representing the date and time when the reward assignment
            was updated. The value is shown in the ISO 8601 format.
          example: '2022-08-11T16:01:34.885Z'
          format: date-time
        object:
          type: string
          description: >-
            The type of the object represented by the JSON. This object stores
            information about the reward assignment.
          default: reward_assignment
          enum:
            - reward_assignment
        related_object_id:
          type: string
          description: Related object ID to which the reward was assigned.
          example: camp_wciTvaOfYmAa3EmIIW3QpXXZ
        related_object_type:
          type: string
          description: Related object type to which the reward was assigned.
          default: campaign
          enum:
            - campaign
      required:
        - related_object_id
        - related_object_type
        - id
        - reward_id
        - created_at
        - updated_at
        - object
    RewardAssignmentParameters:
      title: Digital or Material Reward - Parameters
      type: object
      properties:
        parameters:
          description: Defines the cost of the reward.
          type: object
          properties:
            loyalty:
              type: object
              description: Defines the equivalent points value of the reward.
              properties:
                points:
                  type: integer
                  description: The number of points required to redeem the reward.
                auto_redeem:
                  type: boolean
                  nullable: true
                  description: >-
                    Determines if the reward is redeemed automatically when the
                    customer reaches the sufficient number of points to redeem
                    it. Value `true` means that the automatic reward redemption
                    is active. Only one reward can be set to be redeemed
                    automatically in a loyalty campaign, i.e. only one can have
                    the value `true`.
          required:
            - loyalty
    RewardTypeCampaign:
      title: Digital
      type: object
      properties:
        campaign:
          type: object
          required:
            - id
            - type
          description: Objects stores information about the campaign related to the reward.
          properties:
            id:
              type: string
              description: Unique campaign ID, assigned by Voucherify.
            balance:
              type: integer
              description: >-
                The number of points to be added to a loyalty card or the amount
                to be added to the current balance on the gift card.


                For gift cards, the value is multiplied by 100 to precisely
                represent 2 decimal places. For example, $100 amount is written
                as 10000.
            type:
              type: string
              enum:
                - DISCOUNT_COUPONS
                - GIFT_VOUCHERS
                - LOYALTY_PROGRAM
              description: Campaign type.
      required:
        - campaign
    RewardTypeCoin:
      title: Pay with Points
      type: object
      properties:
        coin:
          type: object
          required:
            - exchange_ratio
          description: >-
            Defines the ratio by mapping the number of loyalty points in
            points_ratio to a predefined cash amount in exchange_ratio.
          properties:
            exchange_ratio:
              type: number
              description: >-
                The cash equivalent of the points defined in the points_ratio
                property.
            points_ratio:
              type: integer
              description: >-
                The number of loyalty points that will map to the predefined
                cash amount defined by the exchange_ratio property.
      required:
        - coin
    RewardTypeMaterial:
      title: Material
      type: object
      properties:
        product:
          type: object
          required:
            - id
          description: Contains information about the product given as a reward.
          properties:
            id:
              type: string
              example: prod_0b7d7dfb05cbe5c616
              description: Unique product ID, assigned by Voucherify.
            sku_id:
              type: string
              nullable: true
              example: sku_0b7d7dfb090be5c619
              description: >-
                Unique SKU ID, assigned by Voucherify, of the SKU given as a
                reward.
      required:
        - product
  securitySchemes:
    X-App-Id:
      type: apiKey
      name: X-App-Id
      in: header
    X-App-Token:
      type: apiKey
      name: X-App-Token
      in: header
    X-Voucherify-OAuth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://api.voucherify.io/v1/oauth/token
          scopes:
            api: Gives access to whole server-side API.
            vouchers: >-
              Gives access to all endpoints and methods starting with
              `v1/vouchers`.
            client_api: Gives access to whole client-side API.
            client_vouchers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/vouchers`.
            promotions: >-
              Gives access to all endpoints and methods starting with
              `/v1/promotions`.
            client_promotions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/promotions`
            campaigns: >-
              Gives access to all endpoints and methods starting with
              `v1/campaigns`.
            client_publish: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/publish`.
            exports: >-
              Gives access to all endpoints and methods starting with
              `/v1/exports`.
            publications: >-
              Gives access to all endpoints and methods starting with
              `/v1/publications`.
            client_validate: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validate`.
            validations: >-
              Gives access to all endpoints and methods starting with
              `/v1/validations`.
            client_validations: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validations`.
            qualifications: >-
              Gives access to all endpoints and methods starting with
              `/v1/qualifications`.
            client_qualifications: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/qualifications`.
            client_redeem: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redeem
            redemptions: >-
              Gives access to all endpoints and methods starting with
              `/v1/redemptions`.
            client_redemptions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redemptions`
            customers: >-
              Gives access to all endpoints and methods starting with
              `/v1/customers`.
            client_customers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/customers`.
            orders: >-
              Gives access to all endpoints and methods starting with
              `/v1/orders`.
            products: >-
              Gives access to all endpoints and methods starting with
              `/v1/products`.
            skus: >-
              Gives access to all endpoints and methods starting with
              `/v1/SKUs`.
            validation-rules: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules`.
            validation-rules-assignments: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules-assignments
            segments: >-
              Gives access to all endpoints and methods starting with
              `/v1/segments`.
            events: >-
              Gives access to all endpoints and methods starting with
              `/v1/events`.
            client_events: >-
              Gives access to all endpoints and methods starting with
              `client/v1/events`.
            rewards: >-
              Gives access to all endpoints and methods starting with
              `/v1/rewards`.
            assets: >-
              Gives access to all endpoints and methods starting with
              `/v1/assets`.
            task-results: >-
              Gives access to all endpoints and methods starting with
              `/v1/task-results`.
            loyalties: >-
              Gives access to all endpoints and methods starting with
              `/v1/loyalties`.
            client_consents: >-
              Gives access to all endpoints and methods starting with
              `client/v1/consents`.
            consents: >-
              Gives access to all endpoints and methods starting with
              `/v1/consents`.
            async-actions: >-
              Gives access to all endpoints and methods starting with
              `/v1/async-actions`.
            product-collections: >-
              Gives access to all endpoints and methods starting with
              `/v1/product-collections`.
            categories: >-
              Gives access to all endpoints and methods starting with
              `/v1/categories`.
            metadata-schemas: >-
              Gives access to all endpoints and methods starting with
              `/v1/metadata-schemas`.
            locations: >-
              Gives access to all endpoints and methods starting with
              `/v1/locations`.
            referrals: >-
              Gives access to all endpoints and methods starting with
              `/v1/referrals`.
            trash-bin: >-
              Gives access to all endpoints and methods starting with
              `/v1/trash-bin`.
            templates: >-
              Gives access to all endpoints and methods starting with
              `/v1/templates`.

````